# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class SetCleanThresholdRequest(JDCloudRequest):
    """
    设置基础防护已防护公网 IP 的清洗阈值, 仅支持 ipv4. (已废弃, 建议使用 <a href="http://docs.jdcloud.com/anti-ddos-basic/api/setipcleanthreshold">setIpCleanThreshold</a> 接口)

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(SetCleanThresholdRequest, self).__init__(
            '/regions/{regionId}/ipResources/{ip}:setCleanThreshold', 'POST', header, version)
        self.parameters = parameters


class SetCleanThresholdParameters(object):

    def __init__(self, regionId, ip, cleanThresholdSpec):
        """
        :param regionId: 地域编码. 基础防护已支持华北-北京, 华东-宿迁, 华东-上海, 华南-广州

        :param ip: 基础防护已防护的公网 IP, 仅支持 ipv4 格式
- 使用 <a href="http://docs.jdcloud.com/anti-ddos-basic/api/describeelasticipresources">describeElasticIpResources</a> 接口查询基础防护已防护的私有网络弹性公网 IP
- 使用 <a href="http://docs.jdcloud.com/anti-ddos-basic/api/describecpsipresources">describeCpsIpResources</a> 接口查询基础防护已防护的云物理服务器公网IP 和 弹性公网 IP

        :param cleanThresholdSpec: 请求参数
        """

        self.regionId = regionId
        self.ip = ip
        self.cleanThresholdSpec = cleanThresholdSpec

