# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeDevicesRequest(JDCloudRequest):
    """
    查询设备列表
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DescribeDevicesRequest, self).__init__(
            '/idcs/{idc}/devices', 'GET', header, version)
        self.parameters = parameters


class DescribeDevicesParameters(object):

    def __init__(self, idc, ):
        """
        :param idc: IDC机房ID
        """

        self.idc = idc
        self.pageNumber = None
        self.pageSize = None
        self.cabinetId = None
        self.filters = None

    def setPageNumber(self, pageNumber):
        """
        :param pageNumber: (Optional) 页码, 默认为1
        """
        self.pageNumber = pageNumber

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 分页大小，默认为20
        """
        self.pageSize = pageSize

    def setCabinetId(self, cabinetId):
        """
        :param cabinetId: (Optional) 机柜ID
        """
        self.cabinetId = cabinetId

    def setFilters(self, filters):
        """
        :param filters: (Optional) deviceId - 设备实例ID，精确匹配，支持多个
snNo - 设备SN号，精确匹配，支持多个

        """
        self.filters = filters

