# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class SetAutoUpgradeRequest(JDCloudRequest):
    """
    设置自动升级
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(SetAutoUpgradeRequest, self).__init__(
            '/regions/{regionId}/clusters/{clusterId}:setAutoUpgrade', 'POST', header, version)
        self.parameters = parameters


class SetAutoUpgradeParameters(object):

    def __init__(self, regionId, clusterId, autoUpgrade, ):
        """
        :param regionId: 地域 ID
        :param clusterId: 集群 ID
        :param autoUpgrade: 开启或者关闭集群自动升级，开启时必须指定 maintenancePolicy
        """

        self.regionId = regionId
        self.clusterId = clusterId
        self.autoUpgrade = autoUpgrade
        self.maintenanceWindow = None

    def setMaintenanceWindow(self, maintenanceWindow):
        """
        :param maintenanceWindow: (Optional) 开启集群自动升级, 必须配置集群维护策略
        """
        self.maintenanceWindow = maintenanceWindow

