# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class CreateLoadBalancerSpec(object):

    def __init__(self, loadBalancerName, subnetId, azs, type=None, chargeSpec=None, elasticIp=None, securityGroupIds=None, description=None, deleteProtection=None):
        """
        :param loadBalancerName:  LoadBalancer的名称,只允许输入中文、数字、大小写字母、英文下划线“_”及中划线“-”，不允许为空且不超过32字符
        :param subnetId:  LoadBalancer所属子网的Id
        :param type: (Optional) LoadBalancer的类型，取值：alb、nlb、dnlb，默认为alb
        :param azs:  【alb，nlb】LoadBalancer所属availability Zone列表,对于alb,nlb是必选参数 <br>【dnlb】全可用区可用，不必传该参数
        :param chargeSpec: (Optional) 【alb】支持按用量计费，默认为按用量。【nlb】支持按用量计费。【dnlb】支持按配置计费
        :param elasticIp: (Optional) 负载均衡关联的弹性IP规格
        :param securityGroupIds: (Optional) 【alb】 安全组 ID列表
        :param description: (Optional) LoadBalancer的描述信息,允许输入UTF-8编码下的全部字符，不超过256字符
        :param deleteProtection: (Optional) 删除保护，取值为True(开启)或False(关闭)，默认为False
        """

        self.loadBalancerName = loadBalancerName
        self.subnetId = subnetId
        self.type = type
        self.azs = azs
        self.chargeSpec = chargeSpec
        self.elasticIp = elasticIp
        self.securityGroupIds = securityGroupIds
        self.description = description
        self.deleteProtection = deleteProtection
